using UnityEngine;

namespace Mod
{
	public class Mod
	{
		public static void Main()
		{
			CategoryBuilder.Create("BBQ's Skywalker Saga", "Breathe.....", ModAPI.LoadSprite("category.png"));
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#a90000>[Sith] <color=#ffffff>Lord Vader[ROTS]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Jedis are EVIL!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb1.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									GameObject Eyebigtime = new GameObject();
            						Eyebigtime.transform.parent = head;
            						Eyebigtime.transform.localPosition = new Vector3(0f, 0f);
            						Eyebigtime.transform.localScale = new Vector3(0.5f, 0.5f);

            						var eyebigtimeSprite = Eyebigtime.AddComponent<SpriteRenderer>();

            						eyebigtimeSprite.sprite = ModAPI.LoadSprite("Images/Sith Eye.png");
									eyebigtimeSprite.material = ModAPI.FindMaterial("VeryBright");
            						eyebigtimeSprite.color = new Color(1f, 1f, 1f, 0.05f);
            						eyebigtimeSprite.sortingLayerName = "Foreground";
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/1.png"), ModAPI.LoadTexture("Images/1.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/Head.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehead.png"));
									
									
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/LowerArm.png", 2);
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhand.png"));
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehand.png"));
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/1.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Obi-Wan Kenobi[ROTS]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Hello there!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb39.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/OB.png"), ModAPI.LoadTexture("Images/OB.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/OBHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehead.png"));
									
									
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/KenobiLowerArm.png", 2);
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhand.png"));
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehand.png"));
									
									person.Limbs[13].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/KenobiLowerArm.png", 2);
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhand.png"));
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehand.png"));
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/OB.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>CC-2224[CWS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb7.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/A/Cody.png"), ModAPI.LoadTexture("Images/A/Cody.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/A/CodyHelmet.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/A/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/A/Bonehead.png"));
									
									
									person.Limbs[12].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/A/CodyArm.png", 2);
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/A/Cody.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);			
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>CT-7567[CWS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb8.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									GameObject lowerbigtime = new GameObject();
									lowerbigtime.transform.parent = lower;
									lowerbigtime.transform.localPosition = new Vector4(0f, 0f);
									lowerbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var lowerbigtimeprite = lowerbigtime.AddComponent<SpriteRenderer>();

									lowerbigtimeprite.sprite = ModAPI.LoadSprite("Images/A/RexLower.png");
									lowerbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									lowerbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									lowerbigtimeprite.sortingLayerName = "Bubbles";
						
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/A/Rex.png"), ModAPI.LoadTexture("Images/A/Rex.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/A/RexHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/A/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/A/Bonehead.png"));
									
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/A/RexUpper.png", 2);
									
									
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/A/Rex.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);				
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Anakin Skywalker[CWS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Snips.", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb3.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									GameObject lowerbigtime = new GameObject();
									lowerbigtime.transform.parent = lower;
									lowerbigtime.transform.localPosition = new Vector4(0f, 0f);
									lowerbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var lowerbigtimeprite = lowerbigtime.AddComponent<SpriteRenderer>();

									lowerbigtimeprite.sprite = ModAPI.LoadSprite("Images/A/AnakinLower.png");
									lowerbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									lowerbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									lowerbigtimeprite.sortingLayerName = "Bubbles";
						
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/A/1.png"), ModAPI.LoadTexture("Images/A/1.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/A/Head.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/A/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/A/Bonehead.png"));
									
									
									
									
									
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/A/1.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);				
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Obi-Wan Kenobi[CWS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "It seems YOUR padawan Anakin.", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb4.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									GameObject lowerbigtime = new GameObject();
									lowerbigtime.transform.parent = lower;
									lowerbigtime.transform.localPosition = new Vector4(0f, 0f);
									lowerbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var lowerbigtimeprite = lowerbigtime.AddComponent<SpriteRenderer>();

									lowerbigtimeprite.sprite = ModAPI.LoadSprite("Images/A/AnakinLower.png");
									lowerbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									lowerbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									lowerbigtimeprite.sortingLayerName = "Bubbles";
						
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/A/Kenobi.png"), ModAPI.LoadTexture("Images/A/Kenobi.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/A/Kenobihead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/A/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/A/Bonehead.png"));
									
									
									
									
									
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/A/Kenobi.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>CT-0782[CWS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb5.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/A/Normal.png"), ModAPI.LoadTexture("Images/A/Normal.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/A/NormalHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/A/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/A/Bonehead.png"));
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/A/Normal.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);	
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Ahsoka Tano[CWS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Skyguy.", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb6.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/A/Ahsoka.png"), ModAPI.LoadTexture("Images/A/Ahsoka.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/A/AhsokaHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/A/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/A/Bonehead.png"));
									
									
									
									
									
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 0.9899f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/A/Ahsoka.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>ARC-5597[CWS7]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb9.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									GameObject lowerbigtime = new GameObject();
									lowerbigtime.transform.parent = lower;
									lowerbigtime.transform.localPosition = new Vector4(0f, 0f);
									lowerbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var lowerbigtimeprite = lowerbigtime.AddComponent<SpriteRenderer>();

									lowerbigtimeprite.sprite = ModAPI.LoadSprite("Images/B/JesseLower.png");
									lowerbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									lowerbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									lowerbigtimeprite.sortingLayerName = "Bubbles";
						
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/B/Jesse.png"), ModAPI.LoadTexture("Images/B/Jesse.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/JesseHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/B/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/B/Bonehead.png"));
									
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/JesseUpper.png", 2);
									
									
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/B/Jesse.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#cfe2f3>[Light Side Force Senstive] <color=#ffffff>Ahsoka Tano[CWS7]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Skyguy.", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb10.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/B/Ahsoka.png"), ModAPI.LoadTexture("Images/B/Ahsoka.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/AhsokaHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/B/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/B/Bonehead.png"));
									
									
									
									
									
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										body.transform.root.localScale *= 0.99f;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/B/Ahsoka.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);	
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>CT-0292[CWS7]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb11.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/B/Vaughn.png"), ModAPI.LoadTexture("Images/B/Vaughn.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/VaughnHelmet.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/B/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/B/Bonehead.png"));
									
									
									person.Limbs[12].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/VaughnArm.png", 2);
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/VaughnUpper.png", 2);

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/B/Vaughn.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);	
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>CC-7567[CWS7]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb12.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									GameObject lowerbigtime = new GameObject();
									lowerbigtime.transform.parent = lower;
									lowerbigtime.transform.localPosition = new Vector4(0f, 0f);
									lowerbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var lowerbigtimeprite = lowerbigtime.AddComponent<SpriteRenderer>();

									lowerbigtimeprite.sprite = ModAPI.LoadSprite("Images/B/RexLower.png");
									lowerbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									lowerbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									lowerbigtimeprite.sortingLayerName = "Bubbles";
						
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/B/Rex.png"), ModAPI.LoadTexture("Images/B/Rex.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/RexHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/B/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/B/Bonehead.png"));
									
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/RexUpper.png", 2);
									
									
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/B/Rex.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);			
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#660000>[Dark Side Force Senstive] <color=#ffffff>Maul[CWS7]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "KENOBI!!!!!!!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb13.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									GameObject Eyebigtime = new GameObject();
            						Eyebigtime.transform.parent = head;
            						Eyebigtime.transform.localPosition = new Vector3(0f, 0f);
            						Eyebigtime.transform.localScale = new Vector3(0.5f, 0.5f);

            						var eyebigtimeSprite = Eyebigtime.AddComponent<SpriteRenderer>();

            						eyebigtimeSprite.sprite = ModAPI.LoadSprite("Images/B/Sith Eye.png");
									eyebigtimeSprite.material = ModAPI.FindMaterial("VeryBright");
            						eyebigtimeSprite.color = new Color(1f, 1f, 1f, 0.05f);
            						eyebigtimeSprite.sortingLayerName = "Foreground";
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/B/Maul.png"), ModAPI.LoadTexture("Images/B/Maul.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/Maulhead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/B/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/B/Bonehead.png"));
									
									
									
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/B/Maul.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);			
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#744700>[Mandalorian] <color=#ffffff>Gar Saxon[CWS7]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Clan Wren is clearly a threat to the Empire, and must be taken care of.", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb14.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									GameObject Eyebigtime = new GameObject();
            						Eyebigtime.transform.parent = head;
            						Eyebigtime.transform.localPosition = new Vector3(0f, 0f);
            						Eyebigtime.transform.localScale = new Vector3(0.5f, 0.5f);

            						var eyebigtimeSprite = Eyebigtime.AddComponent<SpriteRenderer>();

            						eyebigtimeSprite.sprite = ModAPI.LoadSprite("Images/B/GalSaxonLight.png");
									eyebigtimeSprite.material = ModAPI.FindMaterial("VeryBright");
            						eyebigtimeSprite.color = new Color(1f, 1f, 1f, 0.05f);
            						eyebigtimeSprite.sortingLayerName = "Foreground";
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/B/GalSaxon.png"), ModAPI.LoadTexture("Images/B/GalSaxon.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/GalSaxonHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehead.png"));
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/DeathWatchUpper.png", 2);
									
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										body.PhysicalBehaviour.ReflectsLasers = true;
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Flammable Metal");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/B/GalSaxon.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#744700>[Mandalorian] <color=#ffffff>Maldalorian Super Commando[CWS7]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "The war you have waited your entire lives to fight is upon us, my brothers! Victory or death!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb15.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/B/DeathWatch.png"), ModAPI.LoadTexture("Images/B/DeathWatch.png"), null, 2);
									
									
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/B/DeathWatchUpper.png", 2);
									
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										body.PhysicalBehaviour.ReflectsLasers = true;
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Flammable Metal");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/B/DeathWatch.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>CT-1119[CWS7]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb16.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/B/501.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>CT-0332[CWS7]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb17.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/B/332.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#a90000>[Sith] <color=#ffffff>Darth Vader[ROTS]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Noooooooooooooooooo!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb18.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

            						GameObject upperbigtime = new GameObject();
            						upperbigtime.transform.parent = upper;
            						upperbigtime.transform.localPosition = new Vector4(0f, 0f);
            						upperbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

            						var upperbigtimeprite = upperbigtime.AddComponent<SpriteRenderer>();

            						upperbigtimeprite.sprite = ModAPI.LoadSprite("Images/E/Cape.png");
            						upperbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									upperbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									upperbigtimeprite.sortingLayerName = "Top";		

									GameObject middlebigtime = new GameObject();
									middlebigtime.transform.parent = middle;
									middlebigtime.transform.localPosition = new Vector4(0f, 0f);
									middlebigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var middlebigtimeprite = middlebigtime.AddComponent<SpriteRenderer>();

									middlebigtimeprite.sprite = ModAPI.LoadSprite("Images/E/Button.png");
									middlebigtimeprite.material = ModAPI.FindMaterial("VeryBright");
									middlebigtimeprite.color = new Color(1f, 1f, 1f, 0.025f);
									middlebigtimeprite.sortingLayerName = "Foreground";			

									GameObject lowerbigtime = new GameObject();
									lowerbigtime.transform.parent = lower;
									lowerbigtime.transform.localPosition = new Vector4(0f, 0f);
									lowerbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var lowerbigtimeprite = lowerbigtime.AddComponent<SpriteRenderer>();

									lowerbigtimeprite.sprite = ModAPI.LoadSprite("Images/E/LowerCape.png");
									lowerbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									lowerbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									lowerbigtimeprite.sortingLayerName = "Bubbles";
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/E/Anakin.png"), ModAPI.LoadTexture("Images/E/Anakin.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/E/Helmet.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/E/Fleshhead2.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/E/Bonehead.png"));
									
									AudioClip Breath = ModAPI.LoadSound("Starkiller.mp3"); 
                                    var audio = Instance.GetComponent<AudioSource>();
									audio.clip = Breath;
									audio.loop = true;
									
									
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										body.PhysicalBehaviour.ReflectsLasers = true;
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Flammable Metal");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/E/Anakin.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>CC-4477[ROTS]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb19.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/E/Shock.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#a90000>[Sith] <color=#ffffff>Emperor Palpatine[ROTS]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Unlimited Power!!!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb20.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
									GameObject Eyebigtime = new GameObject();
            						Eyebigtime.transform.parent = head;
            						Eyebigtime.transform.localPosition = new Vector3(0f, 0f);
            						Eyebigtime.transform.localScale = new Vector3(0.5f, 0.5f);

            						var eyebigtimeSprite = Eyebigtime.AddComponent<SpriteRenderer>();

            						eyebigtimeSprite.sprite = ModAPI.LoadSprite("Images/E/Sith Eye.png");
									eyebigtimeSprite.material = ModAPI.FindMaterial("VeryBright");
            						eyebigtimeSprite.color = new Color(1f, 1f, 1f, 0.05f);
            						eyebigtimeSprite.sortingLayerName = "Foreground";

            						GameObject upperbigtime = new GameObject();
            						upperbigtime.transform.parent = upper;
            						upperbigtime.transform.localPosition = new Vector4(0f, 0f);
            						upperbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

            						var upperbigtimeprite = upperbigtime.AddComponent<SpriteRenderer>();

            						upperbigtimeprite.sprite = ModAPI.LoadSprite("Images/E/Cape2.png");
            						upperbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									upperbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									upperbigtimeprite.sortingLayerName = "Bubbles";		

									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/E/Sidious.png"), ModAPI.LoadTexture("Images/E/Sidious.png"), null, 2);
									
									
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/E/LowerArm.png", 2);
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/E/Fleshhand.png"));
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/E/Bonehand.png"));
									
									person.Limbs[13].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/E/LowerArm.png", 2);
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/E/Fleshhand.png"));
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/E/Bonehand.png"));
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/E/PalpHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/E/Fleshhead2.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/E/Bonehead.png"));
									
									
									
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/E/Sidious.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#a90000>[Sith] <color=#ffffff>Darth Maul[TPM]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "KENOBI!!!!!!!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb21.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									GameObject Eyebigtime = new GameObject();
            						Eyebigtime.transform.parent = head;
            						Eyebigtime.transform.localPosition = new Vector3(0f, 0f);
            						Eyebigtime.transform.localScale = new Vector3(0.5f, 0.5f);

            						var eyebigtimeSprite = Eyebigtime.AddComponent<SpriteRenderer>();

            						eyebigtimeSprite.sprite = ModAPI.LoadSprite("Images/F/Sith Eye.png");
									eyebigtimeSprite.material = ModAPI.FindMaterial("VeryBright");
            						eyebigtimeSprite.color = new Color(1f, 1f, 1f, 0.05f);
            						eyebigtimeSprite.sortingLayerName = "Foreground";
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/F/Maul.png"), ModAPI.LoadTexture("Images/F/Maul.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/F/Maulhead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehead.png"));
									
									
									
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/F/Maul.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Obi-Wan Kenobi[TPM]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Hello there!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb22.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/F/Kenobi.png"), ModAPI.LoadTexture("Images/F/Kenobi.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/F/Kenobihead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehead.png"));
									
									
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/F/KenobiLowerArm.png", 2);
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhand.png"));
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehand.png"));
									
									person.Limbs[13].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/F/KenobiLowerArm.png", 2);
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhand.png"));
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehand.png"));
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/F/Kenobi.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Qui Gon Jinn[TPM]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Who's father of that child?", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb23.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/F/1.png"), ModAPI.LoadTexture("Images/F/1.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/F/Head.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehead.png"));
									
									
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/F/KenobiLowerArm.png", 2);
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhand.png"));
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehand.png"));
									
									person.Limbs[13].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/F/KenobiLowerArm.png", 2);
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhand.png"));
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehand.png"));
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/F/1.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#443113>[Vagabond] <color=#ffffff>Rex[BBS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Find Him... Fives...", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb24.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
						
									GameObject lowerbigtime = new GameObject();
									lowerbigtime.transform.parent = lower;
									lowerbigtime.transform.localPosition = new Vector4(0f, 0f);
									lowerbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var lowerbigtimeprite = lowerbigtime.AddComponent<SpriteRenderer>();

									lowerbigtimeprite.sprite = ModAPI.LoadSprite("Images/G/RexLower.png");
									lowerbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									lowerbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									lowerbigtimeprite.sortingLayerName = "Bubbles";
						
						
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/G/Rex.png"), ModAPI.LoadTexture("Images/G/Rex.png"), null, 2);
						
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/G/RexHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/G/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/G/Bonehead.png"));
									
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/G/RexUpper.png", 2);
									
									
									

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/G/Rex.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>RC-9901[BBS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb25.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.PhysicalBehaviour.ReflectsLasers = true;
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Soft");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/G/Hunter.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);			
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#a90000>[Sith] <color=#ffffff>General Skywalker[ROTS]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Jedis are EVIL!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb26.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									
									GameObject upperbigtime = new GameObject();
            						upperbigtime.transform.parent = upper;
            						upperbigtime.transform.localPosition = new Vector4(0f, 0f);
            						upperbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

            						var upperbigtimeprite = upperbigtime.AddComponent<SpriteRenderer>();

            						upperbigtimeprite.sprite = ModAPI.LoadSprite("Images/VaderRobe.png");
            						upperbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									upperbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									upperbigtimeprite.sortingLayerName = "Bubbles";		
									
									GameObject Eyebigtime = new GameObject();
            						Eyebigtime.transform.parent = head;
            						Eyebigtime.transform.localPosition = new Vector3(0f, 0f);
            						Eyebigtime.transform.localScale = new Vector3(0.5f, 0.5f);

            						var eyebigtimeSprite = Eyebigtime.AddComponent<SpriteRenderer>();

            						eyebigtimeSprite.sprite = ModAPI.LoadSprite("Images/Sith Eye.png");
									eyebigtimeSprite.material = ModAPI.FindMaterial("VeryBright");
            						eyebigtimeSprite.color = new Color(1f, 1f, 1f, 0.05f);
            						eyebigtimeSprite.sortingLayerName = "Foreground";
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/1.png"), ModAPI.LoadTexture("Images/1.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/VaderRobeHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehead.png"));
									
									
									person.Limbs[10].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/VaderRobeUpperArm.png", 2);
																		
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/VaderRobeLowerArm.png", 2);
																		
									person.Limbs[12].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/VaderRobeUpperArm.png", 2);
																		
									person.Limbs[13].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/VaderRobeLowerArm.png", 2);
																		
									
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/1.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);	
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Luke Skywalker[ROTJ]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Breathe...", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb27.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Luke.png"), ModAPI.LoadTexture("Images/Luke.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/LukeHead.png", 2);
									
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Luke.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>TK-0421[ANH]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb28.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Stormtrooper.png"), ModAPI.LoadTexture("Images/Stormtrooper.png"), null, 2);
									
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									person.Limbs[4].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperUpperleg.png", 2);
									person.Limbs[5].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLowerleg.png", 2);
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Stormtrooper.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);						
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>FS-0451[TMS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb29.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Incinerator.png"), ModAPI.LoadTexture("Images/Incinerator.png"), null, 2);
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/IncineratorUpper.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									person.Limbs[4].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/IncineratorUpperleg.png", 2);
									person.Limbs[5].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLowerleg.png", 2);
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,999999f,999999f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Incinerator.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);	
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>TK-8332[TMS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb30.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Artillery.png"), ModAPI.LoadTexture("Images/Artillery.png"), null, 2);
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/ArtilleryUpper.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									person.Limbs[4].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/ArtilleryUpperleg.png", 2);
									person.Limbs[5].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLowerleg.png", 2);
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Artillery.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);			
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Ben Kenobi[ANH]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Hello there!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb31.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Ben.png"), ModAPI.LoadTexture("Images/Ben.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/BenHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehead.png"));
									
									
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/KenobiLowerArm.png", 2);
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhand.png"));
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehand.png"));
									
									person.Limbs[13].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/KenobiLowerArm.png", 2);
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhand.png"));
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehand.png"));
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Ben.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);	
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>TK-0119[ANH]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb32.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Stormtrooper.png"), ModAPI.LoadTexture("Images/Stormtrooper.png"), null, 2);
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/119Upper.png", 2);
									
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									
									person.Limbs[4].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperUpperleg.png", 2);
									person.Limbs[5].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLowerleg.png", 2);
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Stormtrooper.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>TK-0571[TFU1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb33.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Stormtrooper.png"), ModAPI.LoadTexture("Images/Stormtrooper.png"), null, 2);
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/571Upper.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									person.Limbs[4].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperUpperleg.png", 2);
									person.Limbs[5].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLowerleg.png", 2);
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Stormtrooper.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);				
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>TK-0626[RBS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb34.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Stormtrooper.png"), ModAPI.LoadTexture("Images/Stormtrooper.png"), null, 2);
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/626Head.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									person.Limbs[4].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperUpperleg.png", 2);
									person.Limbs[5].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLowerleg.png", 2);
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Stormtrooper.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>TK-0710[TESB]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb35.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Stormtrooper.png"), ModAPI.LoadTexture("Images/Stormtrooper.png"), null, 2);
									
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/710LowerArm.png", 2);
									person.Limbs[13].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/710LowerArm.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									person.Limbs[4].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperUpperleg.png", 2);
									person.Limbs[5].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLowerleg.png", 2);
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Stormtrooper.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#744700>[Mandalorian] <color=#ffffff>Din Djarin[TMS1]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "I can bring you in warm … or I can bring you in cold.", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb36.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									var leg1 = Instance.transform.Find("FrontLeg").Find("LowerLegFront");
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									
									GameObject upperbigtime = new GameObject();
            						upperbigtime.transform.parent = upper;
            						upperbigtime.transform.localPosition = new Vector4(0f, 0f);
            						upperbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

            						var upperbigtimeprite = upperbigtime.AddComponent<SpriteRenderer>();

            						upperbigtimeprite.sprite = ModAPI.LoadSprite("Images/MandoCape.png");
            						upperbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									upperbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									upperbigtimeprite.sortingLayerName = "Top";		
									
									
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Mando.png"), ModAPI.LoadTexture("Images/Mando.png"), null, 2);
									
									
									
									person.Limbs[1].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/MandoUpper.png", 2);
									person.Limbs[4].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/MandoUpperleg.png", 2);
									person.Limbs[5].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/MandoLowerleg.png", 2);
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										body.PhysicalBehaviour.ReflectsLasers = true;
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bulletproof");
									}
									
									
									
									
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Mando.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);		
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Hover Thruster"),
                    NameOverride = "<color=#cfe2f3>[Light Side Force Senstive] <color=#ffffff>Grogu[TMS1]",
                    DescriptionOverride = "There Is Only One Way: The Way Of The Mandalore.",
                    CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb37.png"), //Doesn't exist yet!
                    AfterSpawn = (Instance) =>
                    {
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Bubbles";
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Images/Grogu.png");

						Instance.GetComponent<HoverThrusterBehaviour>().PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bulletproof");
						
						Instance.transform.GetChild(0).GetComponent<ParticleSystem>().startColor = Color.black;
						Instance.transform.GetChild(0).GetChild(0).GetComponent<SpriteRenderer>().color = Color.black;


						Instance.FixColliders();
						
						

						var childObject = new GameObject("eye");
						childObject.transform.SetParent(Instance.transform);
						childObject.transform.localPosition = new Vector3(0f, 0f);
						childObject.transform.localScale = new Vector3(1f, 1f);
						var childSprite = childObject.AddComponent<SpriteRenderer>();
						childSprite.sprite = ModAPI.LoadSprite("Images/GroguBase.png");
						childSprite.sharedMaterial = ModAPI.FindMaterial("Sprites-Default");
						childObject.GetComponent<SpriteRenderer>().sortingLayerName = "Bubbles";

						childSprite.color = new Color(1f, 1f, 1f, 1f);

						

                    }
                }
            );		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Anakin Skywalker[AOTC]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Padme!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb38.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Anakin.png"), ModAPI.LoadTexture("Images/Anakin.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/AnakinHair.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehead.png"));
									
									
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/AnakinLowerarm.png", 2);
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhand.png"));
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehand.png"));
									
									person.Limbs[13].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/AnakinLowerarm.png", 2);
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhand.png"));
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehand.png"));
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Anakin.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);	
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Obi-Wan Kenobi[AOTC]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Hello there!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb2.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Kenobi.png"), ModAPI.LoadTexture("Images/Kenobi.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/Kenobihead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehead.png"));
									
									
									person.Limbs[11].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/KenobiLowerArm.png", 2);
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhand.png"));
									person.Limbs[11].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehand.png"));
									
									person.Limbs[13].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/KenobiLowerArm.png", 2);
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/Fleshhand.png"));
									person.Limbs[13].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/Bonehand.png"));
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/OB.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);		
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#660000>[Dark Side Force Senstive] <color=#444444>Lord Starkiller<color=#ffffff>[TFU]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "I have no choice...", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb40.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

            							

									GameObject lowerbigtime = new GameObject();
									lowerbigtime.transform.parent = lower;
									lowerbigtime.transform.localPosition = new Vector4(0f, 0f);
									lowerbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var lowerbigtimeprite = lowerbigtime.AddComponent<SpriteRenderer>();

									lowerbigtimeprite.sprite = ModAPI.LoadSprite("Images/E/LowerCape.png");
									lowerbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									lowerbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									lowerbigtimeprite.sortingLayerName = "Bubbles";
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Starkiller.png"), ModAPI.LoadTexture("Images/Starkiller.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StarkillerHelmet.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/E/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/E/Bonehead.png"));
									
									AudioClip Breath = ModAPI.LoadSound("SFX/Starkiller.mp3"); 
                                    var audio = Instance.GetComponent<AudioSource>();
									audio.clip = Breath;
									audio.loop = true;
									audio.PlayDelayed(2);
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bulletproof");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Starkiller.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>TK-1221[TFU]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb41.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/StormCommander.png"), ModAPI.LoadTexture("Images/StormCommander.png"), null, 2);
									
									
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/CommanderLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									person.Limbs[4].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperUpperleg.png", 2);
									person.Limbs[5].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLowerleg.png", 2);
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/StormCommander.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);				
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>TK-2224[TFU]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb46.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Phase3-2.png"), ModAPI.LoadTexture("Images/Phase3-2.png"), null, 2);
									
									
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Phase3-2.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);
			ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#bcbcbc>[Trooper] <color=#ffffff>TK-1034[TFU]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Yes sir!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb42.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

									person.GetComponent<PersonBehaviour>().RandomisedSize = false;
									
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Phase3.png"), ModAPI.LoadTexture("Images/Phase3.png"), null, 2);
									
									
									person.Limbs[3].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/StormtrooperLower.png", 2);
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/2Lower.png"));
									person.Limbs[3].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/3Lower.png"));
									
			
									foreach (var body in person.Limbs)
									{
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Wetness = Mathf.Clamp(body.PhysicalBehaviour.Wetness,0f,0.2f);
										body.PhysicalBehaviour.ConductOverride = true;
										body.PhysicalBehaviour.ForceNoCharge = true;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bowling pin");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Phase3.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
						Instance.GetComponent<PersonBehaviour>().RandomisedSize = false;
					}
				}
			);
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#cfe2f3>[Light Side Force Senstive] <color=#444444>Galen Marek<color=#ffffff>[TFU]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "I have no choice...", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb43.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									
									
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									var middle = Instance.transform.Find("Body").Find("MiddleBody");
									var lower = Instance.transform.Find("Body").Find("LowerBody");
						
							

            							

									GameObject lowerbigtime = new GameObject();
									lowerbigtime.transform.parent = lower;
									lowerbigtime.transform.localPosition = new Vector4(0f, 0f);
									lowerbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

									var lowerbigtimeprite = lowerbigtime.AddComponent<SpriteRenderer>();

									lowerbigtimeprite.sprite = ModAPI.LoadSprite("Images/LowerCape.png");
									lowerbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									lowerbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									lowerbigtimeprite.sortingLayerName = "Bubbles";
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Galen.png"), ModAPI.LoadTexture("Images/Galen.png"), null, 2);
									
									
									
									
									AudioClip Breath = ModAPI.LoadSound("SFX/Starkiller.mp3"); 
                                    var audio = Instance.GetComponent<AudioSource>();
									audio.clip = Breath;
									audio.loop = true;
									audio.PlayDelayed(2);
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Bulletproof");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Galen.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);	
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#660000>[Dark Side Force Senstive] <color=#ffffff>Second Sister[SWJF]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Revenge Us!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb44.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									var head = Instance.transform.Find("Head");
									var upper = Instance.transform.Find("Body").Find("UpperBody");
									
									GameObject upperbigtime = new GameObject();
            						upperbigtime.transform.parent = upper;
            						upperbigtime.transform.localPosition = new Vector4(0f, 0f);
            						upperbigtime.transform.localScale = new Vector4(0.5f, 0.5f);

            						var upperbigtimeprite = upperbigtime.AddComponent<SpriteRenderer>();

            						upperbigtimeprite.sprite = ModAPI.LoadSprite("Images/Cape.png");
            						upperbigtimeprite.material = ModAPI.FindMaterial("Sprites-Default");
									upperbigtimeprite.color = new Color(1f, 1f, 1f, 1f);
									upperbigtimeprite.sortingLayerName = "Top";		
									
									GameObject Eyebigtime = new GameObject();
            						Eyebigtime.transform.parent = head;
            						Eyebigtime.transform.localPosition = new Vector3(0f, 0f);
            						Eyebigtime.transform.localScale = new Vector3(0.5f, 0.5f);

            						var eyebigtimeSprite = Eyebigtime.AddComponent<SpriteRenderer>();

            						eyebigtimeSprite.sprite = ModAPI.LoadSprite("Images/SecondSisterEyelight.png");
									eyebigtimeSprite.material = ModAPI.FindMaterial("VeryBright");
            						eyebigtimeSprite.color = new Color(1f, 0f, 0f, 0.05f);
            						eyebigtimeSprite.sortingLayerName = "Foreground";
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/SecondSister.png"), ModAPI.LoadTexture("Images/SecondSister.png"), null, 2);
									
									person.Limbs[0].PhysicalBehaviour.transform.root.localScale *= 0.9899f;
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/SecondSisterHelmet.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/B/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/B/Bonehead.png"));
									
									
									
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/SecondSister.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);	
				ModAPI.Register(
				new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
					NameOverride = "<color=#0077ff>[Jedi] <color=#ffffff>Cal Kestis[SWJF]", //new item name with a suffix to assure it is globally unique
					DescriptionOverride = "Master!", //new item description
					CategoryOverride = ModAPI.FindCategory("BBQ's Skywalker Saga"), //new item category
					ThumbnailOverride = ModAPI.LoadSprite("Thumb45.png"), //new item thumbnail (relative path)
					AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
					{   		
									var person = Instance.GetComponent<PersonBehaviour>();
									
									var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
									person.SetBodyTextures(ModAPI.LoadTexture("Images/Cal.png"), ModAPI.LoadTexture("Images/Cal.png"), null, 2);
									
									
									
									person.Limbs[0].SkinMaterialHandler.renderer.sprite = ModAPI.LoadSprite("Images/CalHead.png", 2);
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_FleshTex", ModAPI.LoadTexture("Images/F/Fleshhead.png"));
									person.Limbs[0].SkinMaterialHandler.renderer.material.SetTexture("_BoneTex", ModAPI.LoadTexture("Images/F/Bonehead.png"));
									
									
			
									foreach (var body in person.Limbs)
									{
										body.IsAndroid = false;
										
										
										body.BaseStrength *= 2f;
										body.Health += 100000000000f;
										body.InitialHealth += 100000000000f;
										body.ShotDamageMultiplier *= 0f;
										body.Vitality *= 4.5f;
										body.ImpactPainMultiplier *= 0f;
										body.Numbness *= 2f;
										body.IsLethalToBreak = false;
										body.BreakingThreshold += 55f;
										body.RegenerationSpeed += 99999999f;
										body.CirculationBehaviour.BloodFlow *= 4f;
										body.gameObject.GetComponent<PhysicalBehaviour>().Properties.ShallowClone().Flammability = 0f;
										
										body.PhysicalBehaviour.Properties = ModAPI.FindPhysicalProperties("Gorse");
									}
												
									//load textures for each layer (see Human textures folder in this repository)
						var skin = ModAPI.LoadTexture("Images/Cal.png");
						var flesh = ModAPI.LoadTexture("Images/2.png");
						var bone = ModAPI.LoadTexture("Images/3.png");
			
						//get person
						Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone, 2);
					}
				}
			);			
		}
	}
}